EDIT - bug #9904

NullPointerException (NPE) in ListView with filter name="Stephano”

12/23/2021 10:34 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%

Category: cdm-vaadin Estimated time: 0:00 hour

Target version: Release 5.29

Severity: major Found in Version:

Description

[phycobank] 10:31:11,561 DEBUG [gtpll61667116-25][eu.et.cd.va.pe.AccessRestrictedViewControlBean]
- allowing view by fall through, no check performed

[phycobank] 10:31:17,216 DEBUG [gtpll6l667116-55][eu.et.cd.va.pe.AccessRestrictedViewControlBean]

— Access to view ListViewBean allowed

[phycobank]

10:31:50,301 DEBUG

[gtpll6l

667116-54] [eu.et.cd.va.ev.er.DelegatingErrorHandler] - clas

s com.vaadin.event.ListenerMethod$MethodException

[phycobank]

10:31:50, 322 ERROR

[gtpllel

fedbb-3cc3-4c48-941b-11112£53f0ed

com.vaadin.event.ListenerMethod$SMethodException:

667116-54] [co.fl.va.ad.er.ErrorWindow] - Error occurred 93d

Invocation of method textChange in eu.etaxonomy.c

dm.vaadin.view.registration.ListViewBean$$Lambda$187/154090154 failed.
at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte
r (SecurityContextHolderAwareRequestFilter.java:170)
Associated revisions

Revision 00e4c79f - 12/23/2021 10:51 AM - Andreas Kohlbecker

fix #9904 avoiding null value for RegistrationDTO.summaryTaggedText

History

#1 - 12/23/2021 10:39 AM - Andreas Kohlbecker

this happens for the registration http:/phycobank.org/4680

#2 - 12/23/2021 10:46 AM - Andreas Kohlbecker

and is caused by a validation error ("Inconsistent type designations") in which case the summaryText in RegistrationDTO is not being initializes and

thus null

#3 - 12/23/2021 10:51 AM - Andreas Kohlbecker

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|00e4c79fbb7ae6fa6a5c911072ab1b6e0d8ccd7a.

#4 - 12/23/2021 10:52 AM - Andreas Kohlbecker

- File picture935-1.png added

- Status changed from Resolved to Closed

- % Done changed from 50 to 100

fixed!

Now the validation errors are visible gain:
http://phycobank.org/4680
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/00e4c79fbb7ae6fa6a5c911072ab1b6e0d8ccd7a
Registrations

This is the list of all your registrations in progress.

Filter the Y Submitter le ration status  Identifier

rer, R.J., Ozornina, S.P. & Kuzmina, A.l. 1998: — Diatom
arch 13: 54

#5 - 02/15/2022 03:40 PM - Andreas Miller

- Target version changed from Release 5.45 to Release 5.29

Files

& curator
d 2018-07-05
ed 1998-10-23

picture935-1.png 82.1 KB 12/23/2021
